cordova.define("rrx-plugin-base.BasePlugin", function(require, exports, module) {

var exec = require('cordova/exec');

    exports.getVersionInfo = function (arg) {
        exec(null, null, "Base", "get_version", [arg]);
    };

    exports.getUniqueCode = function (success, error) {
        exec(success, error, "Base", "get_unique_code");
    };

    exports.getFirstOpen = function (success, error) {
        exec(success, error, "Base", "get_first_open");
    };

    exports.getClipboard = function (success, error) {
        exec(success, error, "Base", "get_clipboard");
    };

    exports.getAllPlugins = function (success, error) {
        exec(success, error, "Base", "get_all_plugins");
    }

    exports.loadHtml = function (arg) {
        exec(null, null, "Base", "load_http_html", [arg]);
    };

    exports.loadHtmlWithTitleBar = function (arg, success, fail) {
        exec(success, fail, "Base", "load_http_html_with_title_bar", [arg]);
    };

    exports.update = function (arg) {
        exec(null, null, "Base", "update", [arg]);
    };

    exports.chooseDoc = function (success, error, arg) {
        exec(success, error, "Base", "choose_document", [arg]);
    };

    exports.chooseFile = function (success, error, arg) {
        exec(success, error, "Base", "choose_file", [arg]);
    };

    exports.sendSMS = function (arg) {
        exec(null, null, "Base", "send_sms", [arg]);
    };

    exports.showLoading = function(){
        exec(null, null, "Base", "show_progress", null);
    };

    exports.hideLoading = function(){
        exec(null, null, "Base", "hide_progress", null);
    };

    exports.goOutBrowser = function (arg) {
        exec(null, null, "Base", "go_out_browser", [arg]);
    };

    exports.startSaveQRCodeActivity = function () {
        exec(null, null, "Base", "start_save_qr_activity");
    };

    exports.saveToClipboard = function (success, error, arg) {
        exec(success, error, "Base", "save_to_clipboard", [arg]);
    };

    exports.getJumpUrl = function(success, err){
        exec(success, err, "Base", "get_jump_url", null);
    };

    exports.startLogin = function(success, err){
        exec(success, err, "Base", "start_login", null);
    };

    exports.logout = function(){
        exec(null, null, "Base", "logout");
    };

    exports.sendEmail = function (arg) {
        exec(null, null, "Base", "send_email", [arg]);
    };

    exports.reload = function () {
        exec(null, null, "Base", "reload");
    };

});
